<?php
include('InitTest.php');
include_once("../core/Image.php");
include_once("../core/Compute.php");
include_once("../core/Network.php");
//include_once("../core/Automating.php");
include_once("../core/NetworkLayer3.php");

$image = new Image($App);
$compute = new Compute($App);
$networkLayer3 = new NetworkLayer3($App);
//$automating = new Automating($App);

// Liste des serveurs
echo "Liste des serveurs : </br>";
$compute->action("listServers");
$servers = json_decode($App->show(), true)["Servers"];
$id = null;
foreach($servers as $server){
	echo $server['name']." ".$server['id']." ".$server['ipv4']."<br>";
	if(strcmp($server['name'], "bob")){
		$id = $server['id'];
	}	
}
echo "</br>";


//Liste des networks
echo "Liste des network : </br>";
$network->action("list_network_ids");
$servers = json_decode($App->show(), true)["ListNetworkIds"];
$id = null;
foreach($servers as $server){
	echo $server."<br>";
}
echo "</br>";


// liste des floatingip
echo "Liste des floatingip : </br>";
$networkLayer3->action("listFloatingIp");
$listFloatingIp =  json_decode($App->show(), true)["NetworkLayer3"];
foreach ($listFloatingIp as $floatIp){
	echo $floatIp['floatingIpAddress']." ".$floatIp['id']." ".$floatIp["status"]."<br>";
}


?>